Updates the work order type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the job type

string

Required

Max length: 50

sales_organization_id

Filled if specific to one organization, empty if global and can be used by all

globally unique identifier
description

Description of the job type

string

Max length: 4000

is_default

Used to auto select one object when creating a jobs

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

Request Formats :

application/json, text/json

Sample:
{
  "id": "a5743574-34a9-4f9a-a46b-042e129dedd3",
  "name": "sample string 2",
  "sales_organization_id": "25a3da14-b806-4127-bb5f-1c6dccd0d0c5",
  "description": "sample string 4",
  "is_default": true,
  "modified_dateutc": "2026-11-07T10:37:52.5667987+00:00",
  "code": "sample string 7"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.